<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.core.mapper.ClothWashProblemMapper">

    <resultMap type="ClothWashProblem" id="ClothWashProblemResult">
        <result property="id" column="id"/>
        <result property="content" column="content"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectClothWashProblemVo">
        select id, content, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from cloth_wash_problem
    </sql>

    <select id="selectClothWashProblemList" parameterType="ClothWashProblem" resultMap="ClothWashProblemResult">
        <include refid="selectClothWashProblemVo"/>
        <where>
            <if test="content != null  and content != ''">
                and content like concat('%', #{content}, '%')
            </if>
        </where>
    </select>

    <select id="selectClothWashProblemById" parameterType="Long"
            resultMap="ClothWashProblemResult">
        <include refid="selectClothWashProblemVo"/>
        where id = #{id}
    </select>

    <insert id="insertClothWashProblem" parameterType="ClothWashProblem" useGeneratedKeys="true"
            keyProperty="id">
        insert into cloth_wash_problem
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="content != null">content,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="content != null">#{content},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateClothWashProblem" parameterType="ClothWashProblem">
        update cloth_wash_problem
        <trim prefix="SET" suffixOverrides=",">
            <if test="content != null">content =
                #{content},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteClothWashProblemById" parameterType="Long">
            delete from cloth_wash_problem where id = #{id}
        </delete>

    <delete id="deleteClothWashProblemByIds" parameterType="String">
        delete from cloth_wash_problem where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>